aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/jfc1
-rw-r--r--man/man1/jfc.13
2 files changed, 4 insertions, 0 deletions
diff --git a/bin/jfc b/bin/jfc
index be1a3b04..36e11451 100755
--- a/bin/jfc
+++ b/bin/jfc
@@ -1,6 +1,7 @@
#!/bin/sh
# Commit all changes to a Git repository with a stock message
# message.
+cd -- "${1:-.}" || exit
grc || exit 0
git add --all || exit
git commit --message 'Committed by jfc(1)' --quiet || exit
diff --git a/man/man1/jfc.1 b/man/man1/jfc.1
index 1c3c8400..4244835b 100644
--- a/man/man1/jfc.1
+++ b/man/man1/jfc.1
@@ -4,6 +4,9 @@
\- add all and commit quietly to a Git repository with a stock message
.SH SYNOPSIS
.B jfc
+.br
+.B jfc
+/path/to/repo
.SH DESCRIPTION
.B jfc
adds all the changed/added files in a Git repository and commits them silently